# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name		kde-services
%define version		1.4.2
%define release		%mkrel 2

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Enables  functionalities on Dolphin's context menu
URL:			https://sourceforge.net/projects/kde-services/
Group:			Graphical desktop/KDE4
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRequires: 		kde-workspace-devel
Requires:		kde-baseapps-dolphin
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
kde-services enables the following functionalities on the Dolphin's right click menu of KDE-4.x:

- Convert several video formats to MPEG-1, MPEG-4, AVI, VCD, SVCD,
  DVD, 3GP, FLV.
- Extract the audio track of several video formats and convert them to MP3.
- Convert several audio files to MP3.
- Sending files to Thunderbird as email attachments.
- Burn ISO image; in place ISO image mounting and unmounting, as well as the
  possibility of getting the MD5sum, SHA1sum, SHA256sum, SHA512sum of the ISO image.
- Execution of scripts.
- PDF tools.
- AVI tools.
- Low level information of video files.
- Build an ISO image from a selected folder.
- Text replacing.
- Searching tools.
- SSH tools.
- CheckSum tools.
- Dolphin tools.
- Midnight tools (Midnight Commander).
- Play videos from selected folder.
- System Tools => Build Custom Kernel ( Now you can customize your own kernel easily, for create a system
  with more performance, more fast and more hardware support ), Check Kernel Update and more.
- Network Tools => Connect Sentry ( Now can see on your notification widget, every established connection ).
- [Backup|Restore] Tools.
- SaMBa Tools.
- Extract subtitle from MKV video files.
- YouTube Tools.
- Multiplex subtitle into MPEG-2 video file.
- DVD Tools.
- Multimedia Tools.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%make DESTDIR=${RPM_BUILD_ROOT} install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_sysconfdir}/xdg/menus/applications-merged/kde-services.menu
%{_kde_datadir}/applications/AVI_Tools-avi-split-size.sh
%{_kde_datadir}/applications/AVI_Tools-avi-split-time.sh
%{_kde_datadir}/applications/Backup_Tools-standard.desktop
%{_kde_datadir}/applications/Backup_Tools-standard.sh
%{_kde_datadir}/applications/CheckSum_Tools-check-message-digest.sh
%{_kde_datadir}/applications/DVD_Tools-d.v.d.-assembler.sh
%{_kde_datadir}/applications/Dolphin_Tools-change-owner.sh
%{_kde_datadir}/applications/Dolphin_Tools-connect.desktop
%{_kde_datadir}/applications/Dolphin_Tools-connect.sh
%{_kde_datadir}/applications/Dolphin_Tools-disk-use.sh
%{_kde_datadir}/applications/Dolphin_Tools-name-space-replace.sh
%{_kde_datadir}/applications/MKV_Extract-subtitle.sh
%{_kde_datadir}/applications/Midnight_Tools-mc-root.desktop
%{_kde_datadir}/applications/Midnight_Tools-mc.desktop
%{_kde_datadir}/applications/Multiplex_Subtitle.sh
%{_kde_datadir}/applications/Network_Tools-connect-sentry.desktop
%{_kde_datadir}/applications/Network_Tools-connect-sentry.sh
%{_kde_datadir}/applications/Network_Tools-listening-sockets.desktop
%{_kde_datadir}/applications/Network_Tools-listening-sockets.sh
%{_kde_datadir}/applications/SSH_Tools-connect-remote-machine-root.desktop
%{_kde_datadir}/applications/SSH_Tools-connect-remote-machine.desktop
%{_kde_datadir}/applications/SSH_Tools-connect.sh
%{_kde_datadir}/applications/SSH_Tools-copy-id.sh
%{_kde_datadir}/applications/SSH_Tools-install-public-key-root.desktop
%{_kde_datadir}/applications/SSH_Tools-install-public-key.desktop
%{_kde_datadir}/applications/SSH_Tools-keygen-root.desktop
%{_kde_datadir}/applications/SSH_Tools-keygen.desktop
%{_kde_datadir}/applications/SSH_Tools-register-machine-root.desktop
%{_kde_datadir}/applications/SSH_Tools-register-machine.desktop
%{_kde_datadir}/applications/SSH_Tools-register-machine.sh
%{_kde_datadir}/applications/SSH_Tools-scp.sh
%{_kde_datadir}/applications/SSH_Tools-sshfs-root.desktop
%{_kde_datadir}/applications/SSH_Tools-sshfs.desktop
%{_kde_datadir}/applications/SSH_Tools-sshfs.sh
%{_kde_datadir}/applications/SaMBa_Tools-mount-umount-share.desktop
%{_kde_datadir}/applications/SaMBa_Tools-mount-umount-share.sh
%{_kde_datadir}/applications/Search_Tools-search-by-name.desktop
%{_kde_datadir}/applications/Search_Tools-search-by-name.sh
%{_kde_datadir}/applications/Search_Tools-search-by-string.sh
%{_kde_datadir}/applications/Search_Tools-statistics-search-db.desktop
%{_kde_datadir}/applications/Search_Tools-statistics-search-db.sh
%{_kde_datadir}/applications/Search_Tools-update-search-db.desktop
%{_kde_datadir}/applications/Search_Tools-update-search-db.sh
%{_kde_datadir}/applications/System_Tools-build-custom-kernel.desktop
%{_kde_datadir}/applications/System_Tools-build-custom-kernel.sh
%{_kde_datadir}/applications/System_Tools-check-kernel-update.desktop
%{_kde_datadir}/applications/System_Tools-check-kernel-update.sh
%{_kde_datadir}/applications/System_Tools-perf-bench.desktop
%{_kde_datadir}/applications/System_Tools-perf-bench.sh
%{_kde_datadir}/applications/System_Tools-perf-top.sh
%{_kde_datadir}/applications/System_Tools-process-viewer.desktop
%{_kde_datadir}/applications/System_Tools-process-viewer.sh
%{_kde_datadir}/applications/System_Tools-rebuild-package.desktop
%{_kde_datadir}/applications/System_Tools-rebuild-package.sh
%{_kde_datadir}/applications/YouTube_Tools-download-video.desktop
%{_kde_datadir}/applications/YouTube_Tools-download-video.sh
%{_kde_datadir}/applications/ffmpeg_multifile-convert-video.sh
%{_kde_datadir}/applications/ffmpeg_multifile-extract-audio.sh
%{_kde_datadir}/applications/iso_manager-burn-image.sh
%{_kde_datadir}/applications/iso_manager-mount-image.sh
%{_kde_datadir}/desktop-directories/KDE-Services.directory
%{_kde_datadir}/desktop-directories/KDE-Services_Backup-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_Dolphin-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_Midnight-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_Network-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_SSH-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_SaMBa-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_Search-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_System-Tools.directory
%{_kde_datadir}/desktop-directories/KDE-Services_YouTube-Tools.directory
%{_kde_iconsdir}/oxygen/128x128/apps/connect-creating.png
%{_kde_iconsdir}/oxygen/128x128/apps/connect-sentry-established.png
%{_kde_iconsdir}/oxygen/128x128/apps/connect-sentry-off.png
%{_kde_iconsdir}/oxygen/128x128/apps/connect-sentry-on.png
%{_kde_iconsdir}/oxygen/128x128/apps/kde-services.png
%{_kde_iconsdir}/oxygen/128x128/apps/mc-root.png
%{_kde_iconsdir}/oxygen/128x128/apps/mc.png
%{_kde_iconsdir}/oxygen/128x128/apps/mcedit-root.png
%{_kde_iconsdir}/oxygen/128x128/apps/mcedit.png
%{_kde_iconsdir}/oxygen/128x128/apps/sshfs-root.png
%{_kde_iconsdir}/oxygen/128x128/apps/sshfs.png
%{_kde_iconsdir}/oxygen/128x128/apps/utilities-terminal-user.png
%{_kde_iconsdir}/oxygen/128x128/apps/youtube-video-download.png
%{_kde_iconsdir}/oxygen/128x128/devices/disk-full.png
%{_kde_iconsdir}/oxygen/128x128/devices/media-optical-burn.png
%{_kde_iconsdir}/oxygen/128x128/devices/online-root.png
%{_kde_iconsdir}/oxygen/128x128/devices/online.png
%{_kde_iconsdir}/oxygen/128x128/devices/server-root.png
%{_kde_iconsdir}/oxygen/128x128/devices/server.png
%{_kde_iconsdir}/oxygen/128x128/devices/socket.png
%{_kde_datadir}/kde4/services/ServiceMenus/AVI-Tools_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Backup-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/CheckSum-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/CheckSum-Tools_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/DVD-Tools_addservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Dolphin-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Dolphin-Tools_name-space-replace-servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/MKV-Extract-Subtitle_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Midnight-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Multiplex-Subtitle_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Network-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/PDF-Tools_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/SSH-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/SaMBa-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Search-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/System-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Text-Replace_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/Video-Info_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/YouTube-Tools_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/ffmpeg-multifile-convert-video_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/ffmpeg-multifile-extract-audio_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/iso-build_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/iso-manager_addtoservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/konsole-script_servicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/thunderbird_addattachmentservicemenu.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/vlc-open-folder_servicemenu.desktop
%{_kde_datadir}/mime/text/digest.xml
%{_kde_datadir}/pixmaps/keyring-root.png

%changelog
* Tue Jul 16 2013 Texstar <texstar at gmail.com> 1.4.2-2pclos2013
- fix rpm group

* Tue Jul 31 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.4.2-1_archie_2012
- Create package
